/*
 * @Author: wj 1454560336@qq.com
 * @Date: 2023-09-18 10:57:47
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-04-23 16:19:02
 * @FilePath: \admin-manage\src\api\user.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */
import request from '@/utils/request'
// 用户列表
export function getList(params) {
  return request({
    url: '/zswl-cloud-shop/accountMain/shopManager',
    method: 'get',
    params
  })
}

// 获取商户主体
export function getMainName(params) {
  return request({
    url: '/zswl-cloud-shop/accountMain/getMainName',
    method: 'get',
    params
  })
}

// 获取商户详情
export function accountDetail(params) {
  return request({
    url: '/zswl-cloud-shop/accountMain/accountDetail',
    method: 'get',
    params
  })
}

// 新增主体
export function addOrUpdateAccount(data) {
  return request({
    url: '/zswl-cloud-shop/accountMain/addOrUpdate',
    method: 'post',
    data
  })
}

// 删除主体
export function delAccount(params) {
  return request({
    url: '/zswl-cloud-shop/accountMain/del',
    method: 'get',
    params
  })
}


// 获取商户子类型
export function getShopType(params) {
  return request({
    url: '/zswl-cloud-shop/accountMain/getShopType',
    method: 'get',
    params
  })
}

// 渠道列表
export function channelManager(params) {
  return request({
    url: '/zswl-cloud-shop/channelInfo/channelManager',
    method: 'get',
    params
  })
}

// 操作渠道
export function addOrUpdate(data) {
  return request({
    url: '/zswl-cloud-shop/channelInfo/addOrUpdate',
    method: 'post',
    data
  })
}

// 会员列表
export function userList(params) {
  return request({
    url: '/zswl-cloud-shop/userManger/userList',
    method: 'get',
    params
  })
}

// 查询商户下签约完成的所有银联账号
export function allFinish(params) {
  return request({
    url: '/paymentserver/signature/allFinish',
    method: 'get',
    params
  })
}
// 添加绑定
export function bindComplex(data) {
  return request({
    url: '/paymentserver/signature/bindComplex',
    method: 'post',
    data
  })
}